% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/map_theme.R
\name{themes}
\alias{themes}
\alias{theme_iheid}
\alias{theme_ethz}
\alias{theme_uzh}
\alias{theme_rug}
\title{Many themes}
\usage{
theme_iheid(base_size = 12, base_family = "serif")

theme_ethz(base_size = 12, base_family = "sans")

theme_uzh(base_size = 12, base_family = "sans")

theme_rug(base_size = 12, base_family = "mono")
}
\arguments{
\item{base_size}{Font size, by default 12.}

\item{base_family}{Font family, by default "sans".}
}
\description{
These functions enable graphs to be easily and quickly themed,
e.g. changing the default colour of the graph's vertices and edges.
}
\examples{
to_mentoring(ison_brandes) \%>\%
  mutate(color = c(rep(c(1,2,3), 3), 3)) \%>\%
  graphr(node_color = "color") +
  labs(title = "Who leads and who follows?") +
  scale_color_iheid() +
  theme_iheid()
}
